Retrieve a pre-registration

.md

Fetch one reservation by id.

Scopesaffiliates:read
GET/v1/affiliates/pre-registrations/{id}

Request

curl https://api.proppertrading.com/v1/affiliates/pre-registrations/aff_pre_zd95p9x9prp3cga9thjusesr \
  -H "Authorization: Bearer sk_live_a1b2c3d4_9f83c2e15b7a4d6e8091c3f5a7b9d1e2"

Response

{
    "data": {
        "id": "aff_pre_zd95p9x9prp3cga9thjusesr",
        "object": "affiliate_pre_registration",
        "email": "[email protected]",
        "referral_code": "0WWI7YCQ",
        "referral_url": "https://acmefunded.com/r/0WWI7YCQ",
        "status": "claimed",
        "source": "api",
        "metadata": {},
        "created_at": "2026-08-03T17:44:13+00:00",
        "expires_at": null,
        "claimed_at": "2026-09-01T09:12:44+00:00",
        "last_sent_at": "2026-08-03T17:44:13+00:00"
    },
    "meta": { "request_id": "req_01kz4bkr1aj1gv63d8fv3133ey" }
}

Errors

StatusCodeMeaning
404resource_not_foundNo reservation with that id belongs to your firm

Another firm's id also returns 404

We never confirm that an id exists somewhere else on the platform.